import axios, { AxiosResponse } from 'axios';
import { Logger } from '@aws-lambda-powertools/logger';

const logger = new Logger({ serviceName: 'Axios' });

export class Axios {
  async get(url: string, params: any = {}): Promise<any> {
    try {
      const response: AxiosResponse = await axios.get(`${url}`, { params });
      return response.data;
    } catch (error) {
      logger.error(error);
      throw error;
    }
  }
}
